{% extends 'base.html' %}
{% load static %}
{% block meta %}
<title>Book</title>
{% endblock meta %}
{% block content %}
<div class="header-container">
    <br><br>
    <p id="welcome">Welcome!</p>
    <p id="photo-gallery">cari buku di sini yuk!</p>
    <br>
</div>

<div class="bbbootstrap">
    <div class="container">
        {% if not user.is_authenticated %}
        <p>Please login to get images and published date</p>
        {% endif %}
        <form name="frm">
            <input id = "keyword"  placeholder="Cari Buku" class="InputBox" autocomplete="off">
        </form>
    </div>
</div>

<div class="buku">
    <div class="container-xl">
        <div class="table-responsive">
            <div class="table-wrapper">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Title</th>
                            <th>Image</th>
                            <th>Date</th>
                        </tr>
                    </thead>
                    <tbody id = "daftar_isi">
                    </tbody>
                </table>
            </div>
        </div>
    </div>  
</div> 


<script type="text/javascript">
    var ketikan = 'manage%20your%20stress';
    $.ajax({
        url : '/data?q=' + ketikan,
        type : "GET",
        success : function(data){
            var array_items = data.items;
            $("#daftar_isi").empty();
            for(i=0;i<array_items.length;i++){
                var judul = array_items[i].volumeInfo.title;
                var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                var date = array_items[i].volumeInfo.publishedDate;
                $("#daftar_isi").append("<tr><td>" + judul +"</td><td><img src="+ gambar +"></td><td>"+ date +"</td></tr>")                   
            }
        }
    });
    $("#keyword").keyup(function(){
        if (document.forms['frm'].keyword.value === ""){
            var ketikan = 'manage%20your%20stress';
        }else{
            var ketikan = $("#keyword").val();
        }
        //panggil dengan teknik AJAX
        $.ajax({
           url : '/data?q=' + ketikan,
           type : "GET",
           success : function(data){
               var array_items = data.items;
               console.log(array_items);
               $("#daftar_isi").empty();
               for(i=0;i<array_items.length;i++){
                   var judul = array_items[i].volumeInfo.title;
                   var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                   var date = array_items[i].volumeInfo.publishedDate;
                   $("#daftar_isi").append("<tr><td>" + judul +"</td><td><img src="+ gambar +"></td><td>"+ date +"</td></tr>")                   
               }
           }
        });
    });
</script>




<br><br><br><br>
{% endblock content %}
